/**
 * @file
 * RWD menu functionality.
 */

(function ($) {

  'use strict';

  Drupal.behaviors.rwd_menu = {
    attach: function (context, settings) {
      $('.rwd-menu').once('rwd_menu_init', function () {
        // Add menu overlay to body.
        $('.rwd-menu.slide').append('<a href="#" class="rwd-menu-trigger overlay"></a>')

        // Trigger menu.
        $('.rwd-menu-trigger').click(function (event) {
          event.preventDefault();
          if ($('.rwd-menu').hasClass('active')) {
            $('.rwd-menu').removeClass('active').removeClass('rwd-menu-opened');
            $('.rwd-menu .menu').removeClass('active');
          }
          else {
            $('.rwd-menu').addClass('active').addClass('rwd-menu-opened');
            $('.rwd-menu .level-0').addClass('active').addClass('current');
          }
        });

        // Expand branch.
        $('.rwd-menu .branch > a').click(function (event) {
          event.preventDefault();
          $(this).parents('div.menu.current').removeClass('current').scrollTop(0);
          $(this).next().addClass('active').addClass('current');
        });

        // Close branch.
        $('.rwd-menu .back').click(function (event) {
          event.preventDefault();
          $(this).parents('div.menu.current').removeClass('current').removeClass('active').scrollTop(0);
          $(this).parents('div.menu.active').first().addClass('current');
        });
      });
    }
  };
})(jQuery);
